# Create a new context check

Creates a new contextCheck. The resource isn't fully created immediately and you'll want to poll the /contextChecks/{id} GET for the result.

Endpoint: POST /contextChecks
Security: clientCredentials, oAuth2Password

## Header parameters:

  - `cache-control` (string)
    Whether to bypass the cached response. Requires permission to bypass the cache.
    Enum: "no-cache"

## Request fields (application/json):

  - `input` (string, required)
    The input to generate context for
    Example: "Are US troops fighting in Ukraine?"

  - `modelVersion` (string)
    The version of the model to use to generate the context. Defaults to "1.0"
    Enum: "1.0", "2.0"

  - `tags` (object)
    Any metadata tags to apply to the context check. Not used by Compass, but can be useful for associating caller metadata.

  - `tags.^[a-zA-Z0-9_]+$` (string,null)

  - `indexOn` (string)
    An additional field to index the context check on. Can be filtered in the GET /contextChecks endpoint with the filter query parameter

## Response 200 fields (application/json):

  - `id` (string, required)
    The ID of the contextCheck
    Example: "8115"

  - `created_at` (string, required)
    The datetime the contextCheck was created
    Example: "2024-10-10T15:20:33.307Z"

  - `updated_at` (string, required)
    The datetime the contextCheck was last updated. Will just be the created date or completed date
    Example: "2024-10-10T15:20:33.307Z"

  - `input` (string, required)
    The contextCheck to generate context for
    Example: "Who is older, Biden or Trump?"

  - `status` (string, required)
    The status of the contextCheck context generation
    Enum: "processing"


